/segments/{id}/contacts
Path Parameters
id*string
Format
uuidQuery Parameters
limit?integer
Page size, 1-100 (default 20)
Range
1 <= value <= 100after?string
Cursor: id of the last item of the previous page. Must be an id this list returned; there is no sentinel value.
Format
uuidbefore?string
Cursor: id of the first item of the next page (page backwards); same rule as after.
Format
uuidinclude?string
MepMail extension: comma-separated facets attached to every item — properties (the {type, value} map GET /contacts/{id} returns) and topics (the rows GET /contacts/{id}/topics returns). Omitted, each item has the Resend shape.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08/contacts"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "first_name": "string", "last_name": "string", "created_at": "string", "unsubscribed": true, "properties": { "property1": { "type": "string", "value": "string" }, "property2": { "type": "string", "value": "string" } }, "topics": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "subscription": "opt_in", "explicit": true, "visibility": "public" } ] } ], "has_more": true}